How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask david Your Own Question

david
david, Programming Guru
Category: Programming
Satisfied Customers: 290
Experience:  6+ years of programming expertise
65089077
Type Your Programming Question Here...
david is online now
A new question is answered every 9 seconds

Trying to use Apache2.4 with PHP5.5.19. Why am I getting this

Customer Question

Trying to use Apache2.4 with PHP5.5.19. Why am I getting this curl error via windows server 2008 event viewer? We need to use the PHP_CURL extension.
Log Name: Application
Source: Application Error
Event ID: 1000
Level: Error
Faulting application name: httpd.exe, version: 2.4.12.0, time stamp: 0x550bff42
Faulting module name: php_curl.dll, version: 5.5.19.0, time stamp: 0x54aa7bcf
Submitted: 1 year ago.
Category: Programming
Expert:  david replied 1 year ago.
There appears to be known compatibility issues with newer versions of PHP and Windows operating systems. Can you try using an older version of PHP like 5.3.6 and let me know if you still get the same error?
Customer: replied 1 year ago.
Unfortunately that solution will not work for us because we're using Microsoft SQL Server ODBC extensions that require PHP55.
Customer: replied 1 year ago.
Also, I should note that PHP5.5.19 is running fine on Windows Server 2008, MS SQL queries and all until we try to reload the site with Curl related functionality. Then we receive the mentioned error.
Expert:  david replied 1 year ago.
i see. can you try using the latest 5.5.25 or the latest 5.6.9 and see if that resolves the issue?
Customer: replied 1 year ago.
hmm, MS SQL does not have the ODBC drivers for 5.6 yet, but I can try 5.5.25.Also, we're using this PHP OData proxy class to query our REST web service. Would by chance the specific request cause the Curl error vs the PHP version?
https://github.com/xrowgmbh/OData_PHP_SDK
Expert:  david replied 1 year ago.
It's possible. Try commenting out that module and see if that same error shows up. Also, does this error occur during startup or during a client request?
Expert:  david replied 1 year ago.
If you need help commenting out the ODBC module let me know. Once you've tried starting the server with that module missing, please let me know the error message you receive.
Expert:  david replied 1 year ago.
Resolving web server issues are often complicated problems that are caused by a incompatibility between two different components, so it is important to first identify the two sources of the problem. It's very likely that the ODBC module is one of these, so we will need to try removing it to see if the error changes.
Once you've commented out this module in your config file, let me know what messages you receive so we can continue.
If you nee help with this step please let me know.
Expert:  david replied 1 year ago.
If you are having trouble removing your ODBC module from server startup please let me know.
Or if you have resolved the issue, please remember to leave a rating here. You can visit the question page to RATE or RESPOND here:
http://www.justanswer.com/computer-programming/94zia-trying-use-apache2-4-php5-5-19-getting.html#
Expert:  david replied 1 year ago.
If you can upload your config file to :
http://wikisend.com
I can take a look at it, and comment out any modules that may be the source of the problem.
If you no longer need help with this issue please leave a rating on the question page here:
http://www.justanswer.com/computer-programming/94zia-trying-use-apache2-4-php5-5-19-getting.html#